use crate::ui::window::Window;
use adw::prelude::*;
use gtk::{gio, glib};

mod diff;
mod ui;

const APP_ID: &str = "dev.fyloz.HelloWorld1";

fn main() -> glib::ExitCode {
    gio::resources_register_include!("resources.gresource").expect("Failed to register resources.");

    let app = adw::Application::builder().application_id(APP_ID).build();

    app.connect_activate(build_ui);

    app.run()

    // TermLogger::init(LevelFilter::Debug, Config::default(), TerminalMode::Mixed, ColorChoice::Auto).unwrap();
}

fn build_ui(app: &adw::Application) {
    let window = Window::new(app);
    window.present();
}
