use std::cell::RefCell;
use adw::glib;
use glib::subclass::InitializingObject;
use gtk::{Button, CompositeTemplate, template_callbacks};
use gtk::prelude::*;
use gtk::subclass::prelude::*;
use crate::ui::objects::app::AppObject;

#[derive(Default, CompositeTemplate)]
#[template(resource = "/dev/fyloz/example/app_view.ui")]
pub struct AppView {
    #[template_child]
    pub button: TemplateChild<Button>,

    pub application: RefCell<Option<AppObject>>
}

#[template_callbacks]
impl AppView {
    #[template_callback]
    fn handle_remove_button_clicked(&self, button: &Button) {
        println!("Clicked!");
    }
}

#[glib::object_subclass]
impl ObjectSubclass for AppView {
    const NAME: &'static str = "CmAppView";
    type Type = super::AppView;
    type ParentType = gtk::Box;

    fn class_init(klass: &mut Self::Class) {
        klass.bind_template();
    }

    fn instance_init(obj: &InitializingObject<Self>) {
        obj.init_template();
    }
}

impl ObjectImpl for AppView {}

impl WidgetImpl for AppView {}

impl BoxImpl for AppView {}
