use std::cell::RefCell;

use adw::prelude::*;
use adw::subclass::prelude::*;
use glib::Properties;
use gtk::glib;

#[derive(Properties, Default)]
#[properties(wrapper_type = super::AppObject)]
pub struct AppObject {
    #[property(get, set)]
    pub id: RefCell<String>,
    #[property(get, set)]
    pub name: RefCell<String>,
    #[property(get, set)]
    pub path: RefCell<String>,
}

#[glib::object_subclass]
impl ObjectSubclass for AppObject {
    const NAME: &'static str = "AppObject";
    type Type = super::AppObject;
}

#[glib::derived_properties]
impl ObjectImpl for AppObject {}
